-- Coral 2005 TARDIS

local T={}
T.Base="base"
T.Name="2005 TARDIS Old"
T.ID="oldcoral"
T.Interior={
	Model="models/doctorwho1200/tennant/rewrite/interior.mdl",
	Portal={
	        pos=Vector(314,0,48.7),
	        ang=Angle(0,180,0),
	        width=45,
	        height=92
	},
	Fallback={
		pos=Vector(295,0,7),
		ang=Angle(0,180,0),
	},
	ExitDistance=600,
	Parts={
		console={
			model="models/doctorwho1200/tennant/rewrite/console.mdl"
		},
		oldcoralscreen={
		            pos=Vector(0,0,0),
		            ang=Angle(0,-60,0),
	                   },
		oldcorallevers1=true,
		oldcorallevers2=true,
		oldcorallevers3=true,
		oldcorallevers4=true,
		oldcorallevers5=true,
		oldcorallevers6=true,
		oldcoralaudio=true,
		oldcoralphone=true,
		oldcoralball1=true,
		oldcoralball2=true,
		oldcoralbell=true,
		oldcoralbut1=true,
		oldcoralcrank1=true,
		oldcoraldp=true,
		oldcoralflight=true,
		oldcoralgyro=true,
		oldcoralhb=true,
		oldcoralkb=true,
		oldcoralkb2=true,
		oldcorallever1=true,
		oldcorallever2=true,
		oldcorallever3=true,
		oldcorallever4=true,
		oldcorallever5=true,
		oldcoralphysl={
		            pos=Vector(0,0,0),
		            ang=Angle(0,180,0),
	                   },
		oldcoralpump1=true,
		oldcoralrh=true,
		oldcoralswitch1=true,
		oldcoraltg1=true,
		oldcoralthr=true,
		oldcoraltumbl1=true,
                door={
                        model="models/doctorwho1200/tennant/rewrite/door.mdl",posoffset=Vector(0,0,16),angoffset=Angle(0,180,0)
                },
		oldcoralrotor=true,
	},
	IdleSound={
		{
			path="doctorwho1200/tennant/rewrite/interior_idle_loop.wav",
			volume=1	
		}
	},
	Light={
	      color=Color(0,255,127),
	      pos=Vector(0,0,0),
	      brightness=4
	},
	Seats={
		{
			pos=Vector(-105,0,45),
			ang=Angle(0,-90,0)
		},
		{
			pos=Vector(-105,20,45),
			ang=Angle(0,-90,0)
		},
		{
			pos=Vector(125,55,-35),
			ang=Angle(-105,-20,45)
		}
	},
}
T.Exterior={
	Model="models/doctorwho1200/tennant/rewrite/exterior.mdl",
	Mass=5000,
	Portal={
		pos=Vector(28.7,0,48.5),
		ang=Angle(0,0,0),
		width=45,
		height=92
	},
	Fallback={
		pos=Vector(30,0,5),
		ang=Angle(0,0,0)
	},
	Parts={
		door={
				model="models/doctorwho1200/tennant/rewrite/doorext.mdl",posoffset=Vector(0,0,16),angoffset=Angle(0,0,0)
		},
		vortex={
			model="models/doctorwho1200/coral/2005timevortex.mdl",
			pos=Vector(0,0,50),
			ang=Angle(0,0,0),
			scale=10
		}
	},
}

TARDIS:AddInterior(T)